api-reference/openapi.yml.
create-validation-report
Endpoint:POST /v1/reports/validationSchema:
createValidationReportRequestSchemaBody:
application/json
Request schemas for core Report routes.
api-reference/openapi.yml.
POST /v1/reports/validationcreateValidationReportRequestSchemaapplication/json
{
"type": "object",
"additionalProperties": false,
"required": ["name", "entityId"],
"properties": {
"name": "string",
"entityId": "string",
"type": {
"type": "string",
"enum": ["validation", "search", "metrics", "aggregate", "comparator"]
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["messageIfTrue"],
"properties": {
"messageIfTrue": "string",
"or": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["parameter", "operator"],
"properties": {
"parameter": "string",
"operator": "string",
"compareToValue": "string"
}
}
},
"and": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["parameter", "operator"],
"properties": {
"parameter": "string",
"operator": "string",
"compareToValue": "string"
}
}
}
}
}
}
}
}
Was this page helpful?